cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/orders/status/{orderPubkey} \
--header 'x-api-key: <api-key>'{
"orderPubkey": "<string>",
"status": "<string>",
"latestEventType": "<string>",
"latestSignature": "<string>",
"externalOrderId": "<string>",
"orderId": "<string>",
"history": [
{
"eventType": "<string>",
"status": "<string>",
"rawStatus": "<string>",
"timestamp": 123,
"signature": "<string>",
"externalOrderId": "<string>",
"orderId": "<string>"
}
]
}Orders
Get Order Status
Get the latest status and history for an order
GET
/
orders
/
status
/
{orderPubkey}
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/orders/status/{orderPubkey} \
--header 'x-api-key: <api-key>'{
"orderPubkey": "<string>",
"status": "<string>",
"latestEventType": "<string>",
"latestSignature": "<string>",
"externalOrderId": "<string>",
"orderId": "<string>",
"history": [
{
"eventType": "<string>",
"status": "<string>",
"rawStatus": "<string>",
"timestamp": 123,
"signature": "<string>",
"externalOrderId": "<string>",
"orderId": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Order account public key
Minimum string length:
1Was this page helpful?
⌘I
